org.apache.myfaces.trinidad.change

## Class AttributeComponentChange

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ComponentChange
  - - org.apache.myfaces.trinidad.change.AttributeComponentChange

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    RowKeySetAttributeChange

      public class AttributeComponentChange
      extends ComponentChange

  Change specialization for change in attributes. While applying this Change, the specified attribute state is restored.
  Version:
    $Name: $ ($Revision: adfrt/faces/adf-faces-api/src/main/java/oracle/adf/view/faces/change/AttributeComponentChange.java#0 $) $Date: 10-nov-2005.19:09:56 $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeComponentChange(String attributeName, Object attributeValue)` Constructs an AttributeChange with the given attributeName and attributeValue.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeComponent(javax.faces.component.UIComponent uiComponent)` Apply this change to the specied component
    `String` | `getAttributeName()` Returns the name of the attribute that represents this Change.
    `Object` | `getAttributeValue()` Returns the value of the attribute corresponding to this AttributeChange.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeComponentChange

          public AttributeComponentChange(String attributeName,
                                  Object attributeValue)

      Constructs an AttributeChange with the given attributeName and attributeValue.
      Parameters:
        `attributeName` - The name of the attribute for which the value needs to be restored.
        `attributeValue` - The value of the attribute that needs to be restored. This value should be of type java.io.Serializable in order to be persisted. If the value is of type ValueExpression or ValueBinding, the component's ValueBinding or ValueExpression for the attribute will be updated and the current attribute value, if any, removed so that the new ValueExpression or ValueBinding can take precedence.
      Throws:
        `IllegalArgumentException` - if specified attributeName were to be null or the specified attributeValue isn't serializable

  - ### Method Detail

    - #### getAttributeName

          public String getAttributeName()

      Returns the name of the attribute that represents this Change.

    - #### getAttributeValue

          public Object getAttributeValue()

      Returns the value of the attribute corresponding to this AttributeChange.

    - #### changeComponent

          public void changeComponent(javax.faces.component.UIComponent uiComponent)

      Apply this change to the specied component
      Specified by:
        `changeComponent` in class `ComponentChange`
      Parameters:
        `uiComponent` - the UIComponent to apply the change to

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.